#!/bin/bash
source ~/.bash_profile
conda activate rov-offline-py38
cd /data/rov-offline
now_date=`date +"%Y%m%d"`
echo "now_date: $now_date"

# 1. 下载训练所用特征数据并做处理
python ad_feature_process.py
if [ $? -ne 0 ];
then
  msg = "[ERROR] ad_feature_process.py"
  echo $msg
  exit -1
fi

# 2. 对样本进行采样
python ad_feature_data_sample.py
if [ $? -ne 0 ];
then
  msg = "[ERROR] ad_feature_data_sample.py"
  echo $msg
  exit -1
fi

# 3. 训练集和测试集生成
python ad_generate_train_test.py
if [ $? -ne 0 ];
then
  msg = "[ERROR] ad_generate_train_test.py"
  echo $msg
  exit -1
fi

# 4. 模型训练
python ad_xgboost_train.py
if [ $? -ne 0 ];
then
  msg = "[ERROR] ad_xgboost_train.py"
  echo $msg
  exit -1
fi

# 5. 离线预测数据处理
python ad_predict_video_data_process.py
if [ $? -ne 0 ];
then
  msg = "[ERROR] ad_predict_video_data_process.py"
  echo $msg
  exit -1
fi

python ad_predict_user_data_process.py
if [ $? -ne 0 ];
then
  msg = "[ERROR] ad_predict_user_data_process.py"
  echo $msg
  exit -1
fi

python ad_xgboost_predict_data_generate.py
if [ $? -ne 0 ];
then
  msg = "[ERROR] ad_xgboost_predict_data_generate.py"
  echo $msg
  exit -1
fi

# 6. 离线预测
python ad_xgboost_predict.py
if [ $? -ne 0 ];
then
  msg = "[ERROR] ad_xgboost_predict.py"
  echo $msg
  exit -1
fi